%define upstream_name    Directory-Iterator
%define upstream_version 1.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Directory/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Directory::Iterator::PP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is a simple, efficient way to get a recursive list of all files under
a specified directory.

It implements a typical iterator interface, making it simple to convert
code that processes a list of files to use this instead. The directory is
read as the list is consumed, so memory overhead is minimal.

This module simply loads the appropriate backend; either the
Directory::Iterator::PP manpage or the Directory::Iterator::XS manpage.
With the pure-perl backend, the speed is equivalent to the File::Find
manpage; the XS backend is a few times faster.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.1.0-7pclos2017
- rebuild against updates

